GOLF_stream

глупые вопросы по Rhino

66 сообщений в этой теме

Если правильно понимаю задачу, то сначала можно выделить точку, потом ввести радиус, затем указать на кривую (окружность).

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах


Если правильно понимаю задачу, то сначала можно выделить точку, потом ввести радиус, затем указать на кривую (окружность).

Как это? В смысле где радиус задавать? 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Как это? В смысле где радиус задавать?

Хорошая шутка! :clap_1::biggrin:

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Хорошая шутка!

Да какие шутки. При построении нужно указать две дуги, тогда спросит радиус. А у нас одна окружность и точка.

З.Ы. О! Вроде дошло, спасибо! Хотя, через одно место как-то, забудется снова.

Изменено пользователем ilya_w

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

как в рино включить прозрачное окно свойства?

http://hkar.ru/HAis

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

как в рино включить прозрачное окно свойства?

http://hkar.ru/HAis

Оказывается все очень просто. Ctrl+пробел. Это при установленных T-Splines.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Всем привет!

Как закрыть грань после лофта?

К объектам, созданным экструдом, не применимы булевы операции. Это лечится?

Как удалить грани внутри объекта, созданного экструдом?

post-54606-0-11316200-1461915604_thumb.jpg

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Всем привет!

 

Привет.

 

Как закрыть грань после лофта?

 

Сурфейс>>планлар курвес

 

К объектам, созданным экструдом, не применимы булевы операции. Это лечится?

 

А сшить поверхности не пробовали?

 

Как удалить грани внутри объекта, созданного экструдом?

 

Откуда там грань?

Изменено пользователем Павлуха

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Павлуха

Спасибо за ответы. Грань после лофта закрывается Solid >Cap Planar Holes.

Про сшивание поверхностей мысло интересная попробую.

 

А где в Рино находятся булевы операции для замкнутых планарных кривых?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Булевы операции для замкнутых планарных кривых в Curve Tools.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Добрый день!

Кому-то приходилось сталкиваться с такой фигнёй в Рино? Загруженный чертёж при переводе в прозрачный режим заменяется на старый, уже не существующий.

По порядку. Загрузил в две перпендикулярные плоскости проекции чертежа, сделал их прозрачными, смаштабировал в натуральную величину, расположил в начало координат, сориентировал друг относительно друга, собрался приступать к построению, но заметил, что одна проекция — неправильная. Не проблема, — удалил плоскость с чертежом, исправил, сохранил в файл и загрузил в Рино снова. На экране — новый чертёж. Перевожу в режим прозрачности, выбираю тот же файл для инверсии, — в результате на экране появляется прозрачный чертёж, но старый. И названия файлов менял, и все старые убил, и главу новую в Рино создавал, результат тот же: нормальный чертёж заменяется на старый при переводе в режим прозрачности. У меня его уже нигде на компьютере нет, а в Рино появляется. Прямо мистика какая-то! Тени забытых предков... sad.png Что делать?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Тени забытых предков... sad.png Что делать?

 

Идти к шаману... :worthy:

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Идти к шаману... :worthy:

Ценнейший ответ

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Решил немного попробовать порисовать в Рино. Мозг уже давно работает в режиме параметрики, поэтому не понимаю как сделать "простые вещи". Например, как задать параллельность нескольким прямым? Или такого в Рино нету, надо сразу строить Офсетом и сразу на нужное расстояние, а если линии уже построены, то их параллельными не сделать? То же самое с перпендикулярностью.

Вообще странно, что в процессе построения не появляются никакие закрепления :) и всё можно двигать куда угодно и как угодно :) Даже страшно.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Даже страшно.

Там значок такой есть с замочком.

Нажал, и усё, не двигается...

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

А такой глупый вопрос - как закрыть файл модели? Никак не могу найти такой кнопочки.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Глупые вопросы продолжаются.

Пробую заново установить РиноМарину, выдаёт ошибки (на картинках). Устанавливается, но после расчета не выводит результат. Год назад всё работало нормально. Может, обновления какие-то на компе мешают? Кто сталкивался с подобным? Как лечить? В Яндексе ответа не нашел.
То же самое и при попытке установить ФастШип, ибо разработчик один и тот же.

Ещё пробовал Орку поставить. Она ставится, но не цепляется к Рине. Год назад цеплялась.
Кругом одни засады. Ох уж, этот Виндовс.
Windows 7 professional

 

rm1.png

rm2.png

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Подскажите, как сделать токарный силуэт детали ?

СПРЯМЛЯЮЩИЙ.rar

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
1 час назад, DVAS сказал:

как сделать токарный силуэт детали ?

Если бы ещё знать что такое "токарный силуэт"...

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
3 hours ago, DVAS said:

Подскажите, как сделать токарный силуэт детали ?

 

1 hour ago, Ветерок said:

Если бы ещё знать что такое "токарный силуэт"...

Quote

 


Морковьева посмотрела на него снисходительно, как добрая учительница на отстающего ученика.

— Ну, как вам объяснить?.. Петров, вы разве не знаете, что такое «силуэт»?

— Знаю.

— И что такое «токарный», надеюсь, вам тоже не надо объяснять?

— Нет, не надо.

— Ну вот вы и сделайте нам токарный силуэт детали. Красным цветом.
 

 

 

 

 


71f518037d0b6cbe380f9e0d4cda3411.png
 

 

 

@DVAS, держи

 

part_out iges.rar

Изменено пользователем piden

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@piden Тогда по идее остальное надо добавлять аддитивом.

Предположу несколько иное:

0_dac10_c448227c_S.png

1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@Blurp, да, это больше похоже на загадочный "токарный силуэт")  Было б неплохо самого автора "СПРЯМЛЯЮЩЕГО" услышать.

Изменено пользователем piden

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Должно получиться как на рисунке.

Вопрос такой : " Можно в 1 клик (или 2, или 3 ,или в 4 ) не прибегая к доп. построениям сделать это в Рине ?

11.jpg

@piden , за Морковьеву спасибо, вспомнил эту юмореску

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@Blurp  , то что надо

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
1 час назад, DVAS сказал:

Можно в 1 клик (или 2, или 3 ,или в 4 ) не прибегая к доп. построениям сделать это в Рине ?

@DVAS Не встречал кнопки для создания подобных форм.

Поэтому своими руками (вариант выше), или лапками кузнечика (вариант ниже).

0_dac28_1a50e2a8_S.png

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Всем спасибо. 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Создайте аккаунт или войдите для комментирования

Вы должны быть пользователем, чтобы оставить комментарий

Создать аккаунт

Зарегистрируйтесь для получения аккаунта. Это просто!


Зарегистрировать аккаунт

Войти

Уже зарегистрированы? Войдите здесь.


Войти сейчас

  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу



  • Реклама

  • Сообщения

    • lexincton
      1 человек ~1,5-3 недели работы с момента получения 3D модели станка = пост + верификатор Пост и верификатор сравнительно простые -  3-осевой токарно-фрезерный, с усложнением на разделение в 3 канала и реализацией точек синхронизации На видео отладочную инфу забыли убрать в виде mom_run_number = ... поэтому видео прервано перед ошибкой @Ug_user Как человеку прожженому должно быть известно, что в подобных примерах есть проблема в драйвере по управлению ЗвПО (по крайней мере в недавних версиях)-при перемещении ЗвПО в разные стороны
    • SHARit
      Дядя Лобзик, ты дурак?
    • ChipX
    • Mrt23
      Ну извините, уважаемый @lobzik, мы не избалованы...)
    • Brain (Pinkies friend)
      Доброго времени суток! Имею задачу найти на выделенных листах объекты типа NXOpen.Annotations.IdSymbol. Выделенные листы получаю через UI.GetUI().SelectionManager.GetSelectedTaggedObject(i), где они NXOpen.View. Для поиска объектов использую AskVisibleObjects(), который ругается на все неактивные листы (DrawingSheet). На просторах сети нашёл решение, использующее "костыль" в виде открывания  листа и поиска объектов в нём. Подскажите, пожалуйста как зная вид получить ссыль на конкретный лист, зная вид. Ну или другой путь решения. Собственно, код:
        private void button1_Click(object sender, EventArgs e) { int SelectedObjNum = UI.GetUI().SelectionManager.GetNumSelectedObjects(); for (int i = 0; i <= SelectedObjNum - 1; i++) { NXOpen.NXObject selectedObject = (NXOpen.NXObject)UI.GetUI().SelectionManager.GetSelectedTaggedObject(i);//UI.GetUI().SelectionManager.GetSelectedObject(0); NXOpen.View drawingView = (NXOpen.View)selectedObject; if (selectedObject != null) { DisplayableObject[] displayableObjects = drawingView.AskVisibleObjects(); foreach (DisplayableObject disobj in displayableObjects) { if (disobj.GetType().ToString() == "NXOpen.Annotations.IdSymbol") { listBox1.Items.Add("___"); NXOpen.Annotations.IdSymbol symObject = (NXOpen.Annotations.IdSymbol)disobj; AddSymInfOnList(symObject); } } } } }  
    • LxCoder
      Товарищ LxCoder ничего не утверждает и, уж тем более, не навязывает. Делайте как вашей душе угодно, и как Вам понятнее... Нравится изобретать велосипед заново - дело Ваше. Есть косой десяток способов сделать одно и то же.   Именно. Я половины не понял, что вы понаписали и для чего вам все эти фельдиперсовые функции. Углы можно рассчитать один из другого - абсолютно любые, если понимать, что хочется получить на выходе. В G-Post математический аппарат с большим количеством параметров, настроек - он вполне достаточен (по моему личному мнению) для успешного решения 99% реальных задач. Для 1% скорее всего придется использовать некоторые свои формулы преобразования (например, для станков с не вполне обычной геометрией расположения осей, например, как в DMU 160, где угловая голова расположена под 45 градусов к оси Z...).
    • Sergei
    • lexx174
      да давно,в авиапроме в этом плане неплохо продвинулись,и в плане стандартов тоже
    • lobzik
      Если Вам заработанного на этих операциях хватает на жизнь, и Вы еще можете, к примеру, делать какие то накопления - то это не демпинг. 
    • lobzik
      Лет 20 назад один мой коллега рассказывал, как он ходил на хоккей Германия -СССР. После 17-й шайбы в ворота Германии он встал и ушел..
      Я вот потерял его координаты, чтобы позвонить и сказать, что они таки научились играть.  Кстати, не пойму , откуда столько радости от победы над командами, которые траву то зеленую первый раз увидели в России?
      Все равно что хоккеистам радоваться по поводу победы над сборной Туниса.